Documentation IndexFetch the complete documentation index at: /docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
Returns a list of your product categories. The categories are returned sorted by creation date, with the most recently created categories appearing first.
cURL
curl --request GET \ --url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/catalog/categories \ --header 'Authorization: Bearer <token>'
import requests url = "https://staging.api.commercengine.io/api/v1/{store_id}/storefront/catalog/categories" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://staging.api.commercengine.io/api/v1/{store_id}/storefront/catalog/categories', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://staging.api.commercengine.io/api/v1/{store_id}/storefront/catalog/categories", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://staging.api.commercengine.io/api/v1/{store_id}/storefront/catalog/categories" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://staging.api.commercengine.io/api/v1/{store_id}/storefront/catalog/categories") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://staging.api.commercengine.io/api/v1/{store_id}/storefront/catalog/categories") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
{ "message": "all categories", "success": true, "content": { "categories": [ { "id": "<string>", "name": "<string>", "slug": "<string>", "description": "<string>", "parent_category_id": "<string>", "product_count": 123, "active": true, "child_categories": "<array>" } ], "pagination": { "total_records": 100, "total_pages": 4, "previous_page": null, "next_page": 2, "limit": 25 } } }
{ "message": "<string>", "success": true, "code": "<string>", "errors": {}, "details": "<string>" }
{ "message": "Not authorized for given operation on the Resource.", "success": false, "code": "unauthorized", "details": "<string>" }
{ "code": "<string>", "message": "<string>", "success": true, "details": "<string>" }
Access token
search keyword
Retrieve this category and its descendants.
x >= 1
Maximum depth of child categories. Omit to retrieve all levels.
x >= 0
To return child categories using category id.
"01JWZW41Y3FBKTZSP399SKANY7"
To return child categories using category slug
"vitals"
Sort by name, description, created_at or modified_at, using a JSON object of field names and asc or desc values.
name
description
created_at
modified_at
asc
desc
"{\"name\":\"asc\"}"
OK
"all categories"
Show child attributes
Was this page helpful?